Rated 5 out of 5 stars

Thanks for your extension. But please update it for FF4.0 (in install.rdf :) ).

This review is for a previous version of the add-on (1.1). 

Support for FF4

XPCOMViewer 1.2 is updated for the latest Firefox.